| Home | Libraries | People | FAQ | More

##### ssl::context::use_rsa_private_key_file (2 of 2 overloads)

Use an RSA private key from a file.

    boost::system::error_code use_rsa_private_key_file(
        const std::string & filename,
        file_format format,
        boost::system::error_code & ec);

This function is used to load an RSA private key into the context from a file.

###### Parameters

filename

  The name of the file containing the RSA private key.

format

  The file format (ASN.1 or PEM).

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_use_RSAPrivateKey_file`.